TechDraw: Linea guida

From FreeCAD Documentation
Revision as of 21:54, 18 February 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg TechDraw Annotation.svg Annotazione Pagina precedente:
Pagina successiva: Blocco di testo TechDraw RichTextAnnotation.svg Arrow-right.svg

Techdraw-mline.svg Linea guida

Posizione nel menu
TechDraw → Aggiunge Lines → Linea guida
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Modelli di squadrature, SVG, Blocco di testo


Descrizione

Lo strumento Linea guida aggiunge una linea a una vista. Altri oggetti di annotazione, come un Blocco di testo, possono essere collegati alla linea guida per formare annotazioni complesse.

TechDraw LeaderLine sample.png

Linea guida aggiunta a View001


Utilizzo

  1. Premere il pulsante TechDraw LeaderLine.svg Linea guida
  2. Si apre una finestra di dialogo delle azioni. La finestra di dialogo consente di disegnare la linea guida e di assegnare i simboli finali alla linea.
  3. Il pulsante di prelievo dei punti avvia una funzione per disegnare la linea con dei segmenti. Il disegno della linea inizia sempre nel punto in cui la linea deve essere collegata alla vista.
  4. Fare clic per aggiungere un punto, spostare il mouse per disegnare un segmento di linea.
  5. Per uscire dall'editor della linea premere il pulsante Salva modifiche.
  6. Per uscire dall'editor della linea senza salvare premere il pulsante Annulla modifiche.
  7. Dopo aver creato la linea, è possibile modificarla facendo doppio clic sulla Linea guida nell'albero del modello.

Note: If you did not define any points when creating the leader line, a short line will be placed at the center of the view. You can later not add further points.

Proprietà

  • DataX,Y: il punto in cui la linea guida è connessa alla vista.
  • DataLeader Parent: la vista a cui è collegata la linea guida.
  • DataStart Symbol: il simbolo della fine della linea (punta della freccia) all'estremità della vista.
  • DataEnd Symbol: Il simbolo di fine linea all'altra estremità.
  • DataWayPoints: nodi nella linea guida.
  • DataScalable: scala.
  • ViewColor: Colore per la linea guida.
  • ViewLine Style: 0 - nessuna linea, 1 - linea continua, ...
  • ViewLine Width: spessore della linea guida.

Script

Vedere anche: API TechDraw e Nozioni di base sugli script di FreeCAD.

Lo strumento Linea guida può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Note

  • È possibile modificare la linea guida facendo doppio clic su di essa nella vista ad albero. Il doppio clic nell'area grafica non è ancora supportato.
  • La linea guida può essere modificata premendo "Modifica punti" mentre si è in modalità modifica. Per uscire dalla modifica del punto: premere "Save changes" o "Discard changes"..
Arrow-left.svg TechDraw Annotation.svg Annotazione Pagina precedente:
Pagina successiva: Blocco di testo TechDraw RichTextAnnotation.svg Arrow-right.svg